List Policies
curl --request GET \
--url https://www.corgea.app/api/v1/policies \
--header 'CORGEA-TOKEN: <api-key>'import requests
url = "https://www.corgea.app/api/v1/policies"
headers = {"CORGEA-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'CORGEA-TOKEN': '<api-key>'}};
fetch('https://www.corgea.app/api/v1/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"policies": [
{
"id": 123,
"description": "<string>",
"cwes": [
"<string>"
],
"excludes": [
"<string>"
],
"projects": [
"<string>"
],
"company": 123,
"active": true,
"approved": true,
"approved_by": 123,
"created_at": "2023-11-07T05:31:56Z",
"glob_pattern": "<string>",
"source_type": "Web",
"repo_policy_file": 123,
"name": "<string>",
"guidance_text": "<string>",
"version": 123,
"archived": true,
"parent_policy": 123,
"read_only": true,
"created_by_corgea": true
}
],
"pagination": {
"total_count": 123,
"total_pages": 123,
"current_page": 123,
"page_size": 123
}
}{
"error": "Invalid JSON body"
}{
"error": "Missing or invalid authorization header"
}{
"error": "Permission denied"
}{
"error": "Policy not found"
}Policies
List Policies
Retrieve policies for the authenticated user’s company. Results are ordered by newest first.
GET
/
policies
List Policies
Authorizations
CorgeaTokenBearerAuth
API key for authentication
Query Parameters
Filter to policies that apply to a project. Company-wide policies are included.
Filter by one or more comma-separated policy types.
Filter by active status
The page number for pagination
The number of results per page
Required range:
x <= 30Was this page helpful?
⌘I
